Subject: Re: password lengths...

From: Jeff Thompson <[email-masked]>
Date: Fri, 6 Oct 2000 15:46:49 -0500

---- Original Message ----

on 10/6/00 10:16 AM, David R Bosso at [email-masked] wrote:

> Is this new in 1.5?  I'm running asun-pre39 on RedHat 6.2 with DHX, and
> from my OS9 G4 client, I get an alert saying "You have entered more
> characters than the maximum number allowed" if I type more than 8.  Do you
> get this alert also?
> 
> -David
> 
> --On Friday, October 6, 2000 10:59 AM -0400 Steven Karel
> <[email-masked]> wrote:
>  
>> I should know -- my password on my favorite linux desktop is nine
>> characters long. Typing the first 8 in the AppleShare dialog box doesn't
>> work; typing the ninth character does.
>> 
>> steven
>> 

> On our netatalk-1.4b2+asun2.1.4 install, I'm having some problems with
> passwords over 8 characters. Basically they don't work. :) On the older
> boxes with the older netatalk installs, passwds > 8 characters work
> fine.

I may be wrong, but I'm pretty sure the difference between the boxes that do or don't 
work is the typ!
e of password encryption used in the password file.  Older boxes use 
DES, which only supports 8 characters.  Newer ones use MD5, which is more secure, and 
supports up to 256 character passwords.  With DES, if you have a 9+ character 
password, everything after the 8th character gets discarded.  When you enter a 
password to login, everything after the 8th also gets discarded by pam or whatever 
uam you happen to be using.

later

--
-Jeff Thompson
jeff@zaius(.dyndns).org, [email-masked], [email-masked]